<?php
/**
 * Plugin Name: Constant Contact
 * Description: Add your customers to Constant Contact list when they submit a form
 * Plugin URI: https://wedevs.com/weforms/
 * Thumbnail URL: constant-contact.jpg
 * Author: weDevs
 * Version: 1.0
 * Author URI: https://wedevs.com
 */

require_once dirname( __FILE__ ) . '/class-integration-constant-contact.php';

/**
 * MailChimp CLass
 */
class WeForms_Constant_Contact {

    function __construct() {
        add_filter( 'weforms_integrations', array( $this, 'register_integration' ) );
        add_filter( 'weforms_rest_api_class_map', array( $this, 'register_constant_contact_rest_api_integration' ), 10, 1 );
    }

    /**
     * Register default integrations
     *
     * @param  array $integrations
     *
     * @return array
     */
    public function register_integration( $integrations ) {
        $integrations = array_merge( $integrations, array( 'WeForms_Integration_Constant_Contact' ) );

        return $integrations;
    }

    public function register_constant_contact_rest_api_integration( $class_map ) {
        $class_map[dirname( __FILE__ )  .'/api/class-weforms-constant-contact-controller.php'] = 'WeForms_Constant_Contact_Controller';

        return $class_map;
    }
}

new WeForms_Constant_Contact();
